nl.tudelft.simulation.dsol.tutorial.section42

## Class Customer

- java.lang.Object
- - nl.tudelft.simulation.dsol.tutorial.section42.Customer

All Implemented Interfaces:
  BuyerInterface

    public class Customer
    extends Object
    implements BuyerInterface

A Customer
copyright (c) 2002-2018 Delft University of Technology , the Netherlands.
See for project information www.simulation.tudelft.nl
License of use: Lesser General Public License (LGPL) , no warranty.

Version:
  1.0 Dec 8, 2003
Author:
  Peter Jacobs

### Constructor Summary

Constructors
Constructor and Description
`Customer(DEVSSimulatorInterface.TimeDouble simulator, SellerInterface retailer)` constructs a new Customer.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `receiveProduct(long amount)` receive the ordered Product.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Customer

    public Customer(DEVSSimulatorInterface.TimeDouble simulator,
                    SellerInterface retailer)

constructs a new Customer.

Parameters:
  `simulator` - the simulator to schedule on
  `retailer` - the retailer to buy at. In more advanced examples, we would look up this retailer at a yellow page.

### Method Detail

#### receiveProduct

    public final void receiveProduct(long amount)

receive the ordered Product.

Specified by:
  `receiveProduct` in interface `BuyerInterface`
Parameters:
  `amount` - the amount to receive